%global namedreltag .GA
%global namedversion %{version}%{?namedreltag}

Name:             jboss-threads
Version:          2.0.0
Release:          %mkrel 2
Summary:          JBoss Threads

Group:            Development/Java
License:          LGPLv2+
URL:              https://github.com/jbossas/jboss-threads

# git clone git://github.com/jbossas/jboss-threads.git
# cd jboss-threads/ && git archive --format=tar --prefix=jboss-threads-2.0.0.GA/ 2.0.0.GA | xz > jboss-threads-2.0.0.GA.tar.xz
Source0:          %{name}-%{namedversion}.tar.xz

BuildRequires:    jpackage-utils
BuildRequires:    java-devel

BuildRequires:    jboss-parent
BuildRequires:    jboss-logging

BuildRequires:    maven
BuildRequires:    maven-compiler-plugin
BuildRequires:    maven-install-plugin
BuildRequires:    maven-jar-plugin
BuildRequires:    maven-javadoc-plugin
BuildRequires:    maven-release-plugin
BuildRequires:    maven-resources-plugin
BuildRequires:    maven-surefire-plugin
BuildRequires:    junit
BuildRequires:    apiviz

Requires:         jpackage-utils
Requires:         java
BuildArch:        noarch

%description
JBoss Threads

%package javadoc
Summary:          Javadocs for %{name}
Group:            Development/Java
Requires:         jpackage-utils

%description javadoc
This package contains the API documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}

%build
# Skipping tests
mvn-rpmbuild install -Dmaven.test.skip=true javadoc:aggregate

%install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/jboss
cp -p target/%{name}-%{namedversion}.jar $RPM_BUILD_ROOT%{_javadir}/jboss/%{name}.jar

install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}

install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -pm 644 pom.xml $RPM_BUILD_ROOT%{_mavenpomdir}/JPP.jboss-%{name}.pom

%add_maven_depmap JPP.jboss-%{name}.pom jboss/%{name}.jar

%files
%{_mavenpomdir}/JPP.jboss-%{name}.pom
%{_mavendepmapfragdir}/%{name}
%{_javadir}/jboss/%{name}.jar

%files javadoc
%{_javadocdir}/%{name}



%changelog

* Sun Jan 29 2012 gil <gil> 2.0.0-2.mga2
+ Revision: 202885
- update to 2.0.0.GA
- imported package jboss-threads

  + dmorgan <dmorgan>
    - Fix buildrequires
    - Fix buildrequires
    - Clean spec file


* Tue Jun 05 2011 Marek Goldmann <mgoldman@redhat.com> 2.0.0-1
- Initial packaging

